org.jetlang.web

## Class WebSocketReader<S,T>

- java.lang.Object
- - org.jetlang.web.WebSocketReader<S,T>

    public class WebSocketReader<S,T>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`WebSocketReader(WebSocketConnectionImpl connection, HttpRequest headers, Charset charset, WebSocketHandler<S,T> handler, Runnable onClose, S state)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doClose()`
`NioReader.State` `start()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSocketReader

    public WebSocketReader(WebSocketConnectionImpl connection,
                           HttpRequest headers,
                           Charset charset,
                           WebSocketHandler<S,T> handler,
                           Runnable onClose,
                           S state)

### Method Detail

#### start

    public NioReader.State start()

#### doClose

    public void doClose()